Package org.eclipse.ui.texteditor.spelling

# Class SpellingAnnotation

java.lang.Object
org.eclipse.jface.text.source.Annotation
org.eclipse.ui.texteditor.spelling.SpellingAnnotation

All Implemented Interfaces:
  `IQuickFixableAnnotation`

public class SpellingAnnotation extends Annotation implements IQuickFixableAnnotation
Spelling annotation.

Since:
  3.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE`
The spelling annotation type.

### Fields inherited from class org.eclipse.jface.text.source.Annotation

`TYPE_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`SpellingAnnotation(SpellingProblem problem)`
Creates a new spelling annotation.

## Method Summary

Modifier and Type
Method
Description
`SpellingProblem`
`getSpellingProblem()`
Returns the spelling problem.
`boolean`
`isQuickFixable()`
Tells whether there are quick fixes for this annotation.
`boolean`
`isQuickFixableStateSet()`
Tells whether the quick fixable state has been set.
`void`
`setQuickFixable(boolean state)`
Sets whether there are quick fixes available for this annotation.

### Methods inherited from class org.eclipse.jface.text.source.Annotation

`getText, getType, isMarkedDeleted, isPersistent, markDeleted, setText, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE

public static final String TYPE
The spelling annotation type.

See Also:
  - Constant Field Values

## Constructor Details

### SpellingAnnotation

public SpellingAnnotation(SpellingProblem problem)
Creates a new spelling annotation.

Parameters:
  `problem` - the spelling problem.

## Method Details

### isQuickFixable

public boolean isQuickFixable()
Description copied from interface: `IQuickFixableAnnotation`
Tells whether there are quick fixes for this annotation.

Note: This method must only be called if `IQuickFixableAnnotation.isQuickFixableStateSet()` returns `true`.

Specified by:
  `isQuickFixable` in interface `IQuickFixableAnnotation`
Returns:
  `true` if this annotation offers quick fixes

### isQuickFixableStateSet

public boolean isQuickFixableStateSet()
Description copied from interface: `IQuickFixableAnnotation`
Tells whether the quick fixable state has been set.

Normally this means `IQuickFixableAnnotation.setQuickFixable(boolean)` has been called at least once but it can also be hard-coded, e.g. always return `true`.

Specified by:
  `isQuickFixableStateSet` in interface `IQuickFixableAnnotation`
Returns:
  `true` if the state has been set

### setQuickFixable

public void setQuickFixable(boolean state)
Description copied from interface: `IQuickFixableAnnotation`
Sets whether there are quick fixes available for this annotation.

Specified by:
  `setQuickFixable` in interface `IQuickFixableAnnotation`
Parameters:
  `state` - `true` if there are quick fixes available, false otherwise

### getSpellingProblem

public SpellingProblem getSpellingProblem()
Returns the spelling problem.

Returns:
  the spelling problem